aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell
diff options
context:
space:
mode:
authorGravatar kaipi <kaipi@google.com>2018-02-13 11:03:28 -0800
committerGravatar Copybara-Service <copybara-piper@google.com>2018-02-13 11:05:30 -0800
commit49ecd1f37ae2abcfe5a68951fe6b118345509907 (patch)
treeb1d5807d49a9f11ca592b22528edb60d555ad6f1 /src/test/shell
parentd56d7e3456cefda3a32cbeaa2e9763bb671c186d (diff)
Fix CROSSTOOL.tpl to correctly target watchos_i386.
PiperOrigin-RevId: 185556666
Diffstat (limited to 'src/test/shell')
-rwxr-xr-xsrc/test/shell/bazel/apple/bazel_apple_test.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/src/test/shell/bazel/apple/bazel_apple_test.sh b/src/test/shell/bazel/apple/bazel_apple_test.sh
index d90d6f0b13..db3063e707 100755
--- a/src/test/shell/bazel/apple/bazel_apple_test.sh
+++ b/src/test/shell/bazel/apple/bazel_apple_test.sh
@@ -250,7 +250,16 @@ EOF
|| fail "should build watch binary"
cat bazel-genfiles/package/lipo_out | grep "armv7k" \
- || fail "expected output binary to be for armv7k architecture"
+ || fail "expected output binary to be for armv7k architecture"
+
+ bazel build --verbose_failures //package:lipo_out \
+ --apple_crosstool_transition \
+ --watchos_cpus=i386 \
+ --xcode_version=$XCODE_VERSION \
+ || fail "should build watch binary"
+
+ cat bazel-genfiles/package/lipo_out | grep "i386" \
+ || fail "expected output binary to be for i386 architecture"
}
function test_xcode_config_select() {